import 'reflect-metadata';
import { Connection, createConnection } from 'typeorm';

export let library: Connection;

function init(): void {
  initConnection();
}

function initConnection(): void {
  // createConnection method will automatically read connection options
  // from your ormconfig file or environment variables
  createConnection('library')
    .then((c: Connection) => {
      library = c;
    })
    .catch((reason: any) => {
      throw reason;
    });
}

init();
